RCCE(3)

NAME
RCCE_init - RCCE intitialization function

SYNOPSIS
#include <rcce.h>

int RCCE_init(int *argc, char ***argv);

DESCRIPTION
The RCCE_init() is the RCCE initialization function. It is analogous to MPI_init() and provides a place for any code required to set up the environment for RCCE programs. RCCE_init() is a collective routine that must be encountered jointly by all UEs. It must be the first RCCE statement in the program. It must also come before any statements that read or write the argc and/or argv variables.

argc
    Pointer to the number of application arguments on the command line.

argv
    Pointer to a pointer to an array of strings (application command line arguments).

RETURN VALUE
Upon successful completion RCCE_init() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

This example is taken from RCCE_pingpong.c in the apps directory.

#include <string.h>
#include <stdio.h>
#include "RCCE.h"
#define BUFSIZE 32
#define MAXROUND 10
int RCCE_APP(int argc, char **argv){
  int YOU, ME, round;
  double timer;
  char buffer[BUFSIZE+1];
     .
     .
     .
RCCE_init(&argc," &argv);
  RCCE_debug_set(RCCE_DEBUG_ALL);
     .
     .
     .
  return(0);
}